Skip to main content
GET
https://checkout.dintero.com/v1
/
files
/
{fid}
files_fid_get
curl --request GET \
  --url https://checkout.dintero.com/v1/files/{fid}
{
  "id": "PQ1234567.1234567890.abcdefg",
  "name": "invoice_107.pdf",
  "mime_type": "application/pdf",
  "expires_at": "2023-11-07T05:31:56Z",
  "url": "https://cdn.dintero.com/files/PQ1234567.1234567890.abcdefg"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

fid
string<file-id>
required

The ID of the file

Response

File response

id
string

Unique identifier for the file. The idenitifier will contain the transaction ID to make it easier to link to the related transaction.

Example:

"PQ1234567.1234567890.abcdefg"

name
string

The name of the file.

Example:

"invoice_107.pdf"

mime_type
enum<string>

The MIME type of the file.

Available options:
image/png,
image/jpeg,
application/pdf
Example:

"application/pdf"

expires_at
string<date-time>

The expiration date and time of the URL.

url
string

The URL to access the file.

Example:

"https://cdn.dintero.com/files/PQ1234567.1234567890.abcdefg"

Last modified on May 12, 2026